Bulk ARI - Reverse API

This API is intended for updating Minihotel's ARI (Availability, rates and inventory) data from your end into Minihotel. You may check the Minihotel "Rates & Availability" menu using the sandbox hotel, to review your work.

In most cases the partners are seeking integration with Minihotel's connected OTAs & Tour Operators, including Booking.Com, Airbnb, Expedia, Despegar, Agoda, Hostelworld, and others.

In this guide, we'll demonstrate how to seamlessly update Rates, Availability, and Restrictions (such as Minimum Nights and Closures) from your end into Minihotel.

Who should use this interface?

The majority of partners using this interface are Revenue Management Systems (RMS), PMSs and B2B marketplaces. It can also be used by channel managers. These partners are usually holding a database of ARI at their end per each hotel/accommodation. They use this interface in order to obtain more supply (room inventory) to their demand partners.

Which type of technology and format are used?

We use both jSon and XML in the request body. You may use either one.

The Request method is POST.

Sandbox EndpointProduction Endpoint
https://sandbox.minihotel.cloud/AgentsScreenA/api/Agents/ScreenAhttps://api2.minihotel.cloud/AgentsScreenA/api/Agents/ScreenA

ℹ️

Note: Maximum period for the update: 2 years.


Models

Room

ParameterDescriptionTypeRequired/Optional
RoomTypeCodeThe room type code you want to updateStringRequired
DatesArray of DateArray[Date]Required

Date

ParameterDescriptionTypeRequired/OptionalNotes
DateSpecify a date on which you want to update the data.StringRequiredDate format: YYYY-MM-DD. Min. date: Current date. Max. date: 2 years from current date
AvailabilityNumber of rooms available for this room type.IntegerOptionalMin: 0. Max: 999. You can send null to clear the manual availability override
MinimumNightsMinimum number of nights a guest must book.IntegerOptional
MinimumNightsArrivalMinimum number of nights if a guest checks in at this date.IntegerOptional
CloseSpecifies if the room is closed at this date, making it non-bookable.BooleanOptional
CloseOnArrivalSpecifies if the room is unavailable to book if the guest checks-in at this dateBooleanOptional
CloseOnDepartureSpecifies if the room is unavailable to book if the guest checks-out at this date.BooleanOptional
RatesArray of Rate. Update the room type rate per price list.Array[Rate]Optional

ℹ️

Note: Maximum period for the query: 1.5 years

🚧

Do not include the optional parameters for the fields you don't wish to update


Rate

ParameterDescriptionTypeRequired/OptionalNotes
PriceListCode for the price list you want to updateStringRequired
PriceRate for this price listDecimalRequiredDecimal or null allowed. If you send null, it will remove the current price.

Example

A single date

[
    {
        "RoomTypeCode": "DBL",
        "Dates": [
            {
                "Date": "2024-11-28",
                "Availability": 4,
                "MinimumNights": 0,
                "MinimumNightsArrival": 0,
                "Close": false,
                "CloseOnArrival": false,
                "CloseOnDeparture": true,
                "Rates": [
                    {
                        "PriceList": "USD",
                        "Price": 90.50
                    },
                    {
                        "PriceList": "ILS",
                        "Price": 310.30
                    }
                ]
            }
        ]
    }
]
<?xml version="1.0" encoding="utf-8"?>
<ArrayOfRoom xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <Room RoomTypeCode="DBL">
		<Dates>
			<Date Value="2024-11-28">
	            	<Availability>4</Availability>
		            <MinimumNights>0</MinimumNights>
		            <MinimumNightsArrival>0</MinimumNightsArrival>
		            <Close>false</Close>
		            <CloseOnArrival>false</CloseOnArrival>
		            <CloseOnDeparture>true</CloseOnDeparture>
		            <Rates>
		                <Rate PriceList="USD">
		                    <Price>90.50</Price>
		                </Rate>
		                <Rate PriceList="USD">
		                    <Price>310.30</Price>
		                </Rate>                    
	            	</Rates>
			</Date>
		</Dates>
</Room>
</ArrayOfRoom>

Multi dates

[
    {
        "RoomTypeCode": "DBL",
        "Dates": [
            {
                "Date": "2024-06-11",
                "Availability": 4,
                "MinimumNights": 0,
                "MinimumNightsArrival": 0,
                "Close": false,
                "CloseOnArrival": false,
                "CloseOnDeparture": false,
                "Rates": [
                    {
                        "PriceList": "USD",
                        "Price": 81
                    }
                ]
            },
            {
                "Date": "2024-06-12",
                "Availability": 4,
                "MinimumNights": 2,
                "MinimumNightsArrival": 0,
                "Close": false,
                "CloseOnArrival": false,
                "CloseOnDeparture": false,
                "Rates": [
                    {
                        "PriceList": "USD",
                        "Price": 71.50
                    }
                ]
            }
        ]
    }
]

Response

The response contains Warnings and Errors arrays with messages detailing problems found with the provided request.

ParameterDescriptionType
ResponseContainer for the responseObject
ErrorsArray of ErrorArray[Error]
WarningsArray of WarningArray[Warning]
ErrorMessage that contains the details of the errorString
WarningMessage that contains the details of the warningString

Example

{
    "Warnings": [
        "(Room 'DBL' at 2019-12-20) Warning: Availability cannot be less than 0 (accepted values: 0-999 or null). Availability will not be updated. (Provided value: -1)"
    ],
    "Errors": [
        "(Room 'DBL' at 2025-02-15) Error: Date cannot be greater than 1.5 years from now. The provided data for this date will not be updated. (Current maximum date: 2021-06-17)"
    ]
}
<Response xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
    <Warnings>
        <Warning>(Room 'DBL' at 2019-12-20) Warning: Availability cannot be less than 0 (accepted values: 0-999 or null). Availability will not be updated. (Provided value: -5)</Warning>
    </Warnings>
    <Error>
        <Error>(Room 'DBL' at 2025-02-15) Error: Date cannot be greater than 1.5 years from the current date. The provided data for this date will not be updated. (Current maximum date: 2021-06-17)</Error>
    </Error>
</Response>

ℹ️

All API responses include an X-Request-ID header with a unique GUID value. This helps our development team trace your requests and responses. If you encounter any issues or errors while using our API, please contact us and provide the X-Request-ID.